﻿@using SPEX.Models

<div class="content">
    <fieldset>
        <table style="width: 100%;">
            <tr>
                <td align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*BUYER CD";
                    }).GetHtml()
                </td>
                <td colspan="2">
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_BUYER_CD";
                        settings.Width = 380;
                        settings.Properties.DropDownWidth = 650;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.CallbackPageSize = 30;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                        settings.Properties.TextFormatString = "{0}-{1}";
                        settings.Properties.ValueField = "BUYER_CD";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.Columns.Add("BUYER_CD", "BUYER_CD", 130);
                        settings.Properties.Columns.Add("BUYER_NAME", "BUYER_NAME", 550);
                        settings.Properties.ClientSideEvents.SelectedIndexChanged = "function(s, e) { I_PD_CD.PerformCallback(); }";
                    }
               ).BindList(ViewData["BUYER"]).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).BUYER_CD).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "PD CD";
                }).GetHtml()
                </td>
                <td colspan="4">
                    @Html.Partial("~/Views/ReadyCargoInquiry/_Partial_PD.cshtml")
                </td>
            </tr>
            <tr>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Vanning Date From";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_VANNING_DT_FROM";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
                  settings.Properties.ClientSideEvents.DateChanged = "I_VANNING_DT_FROM_OnChanged";
              }).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).VANNING_DT_FROM).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Vanning Date To";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_VANNING_DT_TO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
              }).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).VANNING_DT_TO).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Packing Company";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_Packing_Company";
                        settings.Width = 110;
                        settings.Properties.DropDownWidth = 50;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.CallbackRouteValues = new { Controller = "ReadyCargoInquiry", Action = "GetPackingCompany" };
                        settings.Properties.CallbackPageSize = 30;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                    }
                  ).BindList(ViewData["Packing_Company"]).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).PACKING_COMPANY).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice Status";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_Invoice_Status";
                        settings.Width = 110;
                        settings.Properties.DropDownWidth = 150;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.CallbackRouteValues = new { Controller = "ReadyCargoInquiry", Action = "GetAllInvoiceStatus" };
                        settings.Properties.CallbackPageSize = 30;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}-{1}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_VALUE";
                        settings.Properties.Columns.Add("SYSTEM_VALUE", "Value", 50);
                        settings.Properties.Columns.Add("SYSTEM_DESC", "Description", 100);
                    }
                   ).BindList(ViewData["Invoice_Status"]).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).INVOICE_STATUS).GetHtml()
                </td>
            </tr>
            <tr>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice No";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_INVOICE_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                }).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).INVOICE_NO).GetHtml()
                    
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_MODE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.ClientVisible = false;
                    settings.Properties.MaxLength = 25;
                }).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).MODE).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Vanning No";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_VANNING_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                }).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).VANNING_NO).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice Date From";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_INVOICE_DT_FROM";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
                  settings.Properties.ClientSideEvents.DateChanged = "I_INVOICE_DT_FROM_OnChanged";
              }).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).INVOICE_DT_FROM).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice Date TO";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_INVOICE_DT_TO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
              }).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).INVOICE_DT_TO).GetHtml()
                </td>
            </tr>
            <tr>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "ETD From";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_ETD_FROM";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
                  settings.Properties.ClientSideEvents.DateChanged = "I_ETD_OnChanged";
              }).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).ETD_FROM).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "ETD To";
                }).GetHtml()
                </td>
                <td >
                    @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_ETD_TO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
              }).Bind(((ReadyCargoInquiry)ViewData["MODEL"]).ETD_TO).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Case No";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_CASE_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()


                </td>
            </tr>
        </table>
        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_BUYER_CD_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                }).GetHtml()
        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PD_CD_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                }).GetHtml()
        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_CONTAINER_NO_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                }).GetHtml()
        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_VANNING_DT_FROM_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                }).GetHtml()
        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_VANNING_DT_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                }).GetHtml()
        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_VANNING_DT_TO_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                }).GetHtml()
        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_SEAL_NO_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                }).GetHtml()
        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PACKING_COMPANY_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                    settings.ClientVisible = false;
                }).GetHtml()
    </fieldset>
    <br />
    <table width="100%">
        <tr>
            <td colspan="6">
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdCreateInvoice";
                    edtSetting.Width = 150;
                    edtSetting.Text = "Create Invoice";
                    edtSetting.ClientSideEvents.Click = "CreateInvoice";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-02", "CREATE INVOICE");
                }).GetHtml()
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClose";
                    edtSetting.Width = 100;
                    edtSetting.Text = "Close";
                    edtSetting.ClientSideEvents.Click = "OnClose";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLOSE");
                }).GetHtml()
            </td>
            <td colspan="2" align="right">
                @Html.DevExpress().Button(
                 edtSetting =>
                 {
                     edtSetting.Name = "cmdSearch";
                     edtSetting.Text = "Search";
                     edtSetting.Width = 100;
                     edtSetting.ClientSideEvents.Click = "OnSearch";
                     edtSetting.Style.Add("display", "inline-table");
                     edtSetting.UseSubmitBehavior = true;
                     //di nonaktifin dulu untuk direct login
                     edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "SEARCH");
                 }
                 ).GetHtml()
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 100;
                    edtSetting.Text = "Reset";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoInquiry", "FTR-SPEX-45-01", "CLEAR");
                }).GetHtml()
            </td>
        </tr>
    </table>
</div>
